--- /dev/null
+#!/usr/bin/env sh
+
+if [[ -z "$1" ]]; then
+ echo "Run with parameters: essential, nice, cask_essential, or cask_nice"
+else
+ if command -v brew &> /dev/null; then
+ command_name="brew"
+ else
+ if command -v apt &> /dev/null; then
+ command_name="brew"
+ else
+ echo "Error: No valid package manager. Make sure brew or apt are available."
+ exit 1
+ fi
+ fi
+ file="./provisioning/${command_name}_$1"
+ if [[ -f $file ]]; then
+ echo "Provisioning $1 with $command_name"
+ cat ./provisioning/${command_name}_$1 | xargs ${command_name} install
+ else
+ echo "No provisioning recipe for $1 with $command_name"
+ fi
+fi